org.eclipse.handly.ui.outline

## Class OutlineFilterContribution

- java.lang.Object
- - org.eclipse.handly.ui.outline.OutlineContribution
  - - org.eclipse.handly.ui.outline.OutlineFilterContribution

- All Implemented Interfaces:
    IOutlineContribution

      public abstract class OutlineFilterContribution
      extends OutlineContribution

  An abstract base class for outline filter contributions. The activation of the filter is governed by a user preference.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutlineFilterContribution()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()` Disposes of this contribution.
    `protected abstract org.eclipse.jface.viewers.ViewerFilter` | `getFilter()` Returns a viewer filter that is to be contributed to the outline page.
    `protected abstract IBooleanPreference` | `getPreference()` Returns a boolean-valued preference that will control the activation of the filter.
    `void` | `init(ICommonOutlinePage outlinePage)` Initializes this contribution.

    - ### Methods inherited from class org.eclipse.handly.ui.outline.OutlineContribution

      `getOutlinePage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutlineFilterContribution

          public OutlineFilterContribution()

  - ### Method Detail

    - #### init

          public void init(ICommonOutlinePage outlinePage)

      Description copied from class: `OutlineContribution`
      Initializes this contribution. This method is called after the outline page's tree viewer has been created.

      This method may be extended by subclasses. Subclasses must call the superclass implementation.

      Specified by:
        `init` in interface `IOutlineContribution`
      Overrides:
        `init` in class `OutlineContribution`
      Parameters:
        `outlinePage` - the contribution's outline page (never `null`)

    - #### dispose

          public void dispose()

      Description copied from class: `OutlineContribution`
      Disposes of this contribution. Implementors should clean up any resources associated with this contribution. Note that there is no guarantee that `init()` has been called. This method has no effect if this contribution has already been disposed.

      This method may be extended by subclasses. Subclasses must call the superclass implementation.

      Specified by:
        `dispose` in interface `IOutlineContribution`
      Overrides:
        `dispose` in class `OutlineContribution`

    - #### getPreference

          protected abstract IBooleanPreference getPreference()

      Returns a boolean-valued preference that will control the activation of the filter. May return `null`, in which case this contribution will be effectively disabled. This method is called once, when this contribution is initializing.
      Returns:
        the filter preference, or `null`

    - #### getFilter

          protected abstract org.eclipse.jface.viewers.ViewerFilter getFilter()

      Returns a viewer filter that is to be contributed to the outline page. The activation of the filter will be governed by the filter `preference`. This method is called once, when this contribution is initializing.
      Returns:
        the filter instance (not `null`)

Copyright (c) 2014, 2020 1C-Soft LLC and others. Made available under the Eclipse Public License 2.0